Bug 2069822 - Syncing RHEL 5 KS repository fails with: "ModelBase object argument after ** must be a mapping, not str"
Summary: Syncing RHEL 5 KS repository fails with: "ModelBase object argument after ** ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: sabuchan
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-29 19:02 UTC by Lai
Modified: 2022-07-25 13:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
*Syncing RHEL 5 KS repository fails* You are unable to sync Red Hat Enterprise Linux 5 Server Kickstart x86_64 5.10 and 5.11 repositories. If you attempt to sync, you receive the following error message: `ModelBase object argument after ** must be a mapping, not str`.
Clone Of:
Environment:
Last Closed: 2022-07-25 13:17:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulp_rpm issues 2243 0 None open test syncing RHEL 5 kickstart repo 2022-04-18 18:24:39 UTC
Red Hat Issue Tracker SATDOC-777 0 None None None 2022-05-05 15:16:41 UTC

Description Lai 2022-03-29 19:02:41 UTC
Description of problem:
I tried syncing the Red Hat Enterprise Linux 5 Server Kickstart x86_64 5.10 and 5.11 repos and got that failure.

Version-Release number of selected component (if applicable):
6.11 snap 14, RHEL8

How reproducible:
100%

Steps to Reproduce:
1. Enable 'Red Hat Enterprise Linux 5 Server Kickstart x86_64 5.10' and 5.11 repository
2. Start the sync

Actual results:
ModelBase object argument after ** must be a mapping, not str

Expected results:
Syncing should be successful

Additional info:

Comment 7 sabuchan 2022-06-10 19:54:43 UTC
RN Draft:

Red Hat Enterprise Linux 5 Server Kickstart x86_64 5.10 and 5.11 repositories cannot be synced; you will receive an error message stating  `ModelBase object argument after ** must be a mapping, not str`.

Doc: https://docs.google.com/document/d/1xMkjPbkwF9ZJ95tEcWYmRRqVdusIZENHZsL3-B3YvJw/edit

Tagged @bbuckingham in doc for review.

Comment 8 Brad Buckingham 2022-06-14 19:26:20 UTC
ACK to the RN in comment 7.

Comment 9 sabuchan 2022-06-15 20:00:36 UTC
Final RN:

*Syncing RHEL 5 KS repository fails*

You are unable to sync Red Hat Enterprise Linux 5 Server Kickstart x86_64 5.10 and 5.11 repositories. If you attempt to sync, you receive the following error message:  `ModelBase object argument after ** must be a mapping, not str`.

BZ #(https://bugzilla.redhat.com/show_bug.cgi?id=2069822[2069822])


Note You need to log in before you can comment on or make changes to this bug.